Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.tools.sbs
Class SBSTool

    java.lang.Object
      com.nokia.tools.sbs.SBSTool

All Implemented Interfaces:
  Tool

    public class SBSTool

extends java.lang.Object
implements Tool

Command Line wrapper for configuration tools

Constructor Summary
`SBSTool()`

Method Summary
`void` | `execTask(org.apache.tools.ant.Project prj)` Task to execute the SBS command Updates all the default values for the command, in case if the options are not provided.
`void` | `execute(java.util.HashMap attributes, org.apache.tools.ant.Project project)` Sets the command line variables to be used to execute and validates for the required parameters (as SBSTask)
`void` | `execute(VariableSet varSet, org.apache.tools.ant.Project prj)` Sets the command line variables to be used to execute and validates for the required parameters (as Tool interface)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SBSTool

    public SBSTool()

Method Detail

### execute

    public void execute(VariableSet varSet,
                        org.apache.tools.ant.Project prj)
                 throws ToolsProcessException

  Sets the command line variables to be used to execute and validates for the required parameters (as Tool interface)

  Specified by:
    `execute` in interface `Tool`
  Parameters:
    `VariableSet` - variable(name / value list)
  Throws:
    `ToolsProcessException`

### execute

    public void execute(java.util.HashMap attributes,
                        org.apache.tools.ant.Project project)
                 throws ToolsProcessException

  Sets the command line variables to be used to execute and validates for the required parameters (as SBSTask)

  Parameters:
    `VariableSet` - variable(name / value list)
  Throws:
    `ToolsProcessException`

### execTask

    public void execTask(org.apache.tools.ant.Project prj)
                  throws ToolsProcessException

  Task to execute the SBS command Updates all the default values for the command, in case if the options are not provided.

  Parameters:
    `engine` - - make engine for sbs command
    `layers` - - layers for sbs commands has to be executed
    `config` - - configuration to be built (armv5 / winscw)
    `singleJob` - - no. of concurrent jobs
    `layerOrder` - - whether the layer execution should be based on order
    `command` - - sbs make targets to execute(CLEAN, REALLYCLEAN, TARGET etc.,)
    `prj` - - Ant project reference.
  Throws:
    `ToolsProcessException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD